Subject: Re: [Roll] Nodes Mobility Support in RPL

From: Leila Ben Saad <[email-masked]>
Date: Thu, 14 Jan 2010 08:11:45 +0100

I mean by my question if RPL is able to support the case where DAG  
roots are mobile nodes ? The example of this can be a wireless sensor  
network with mobile sinks where the sinks move to different locations  
of the network in order to balance the energy consumption of the fixed  
sensor nodes and improve the network lifetime.

Alexandru Petrescu <[email-masked]> a écrit :

> As a pre-requisite, I would consider looking at the RoLL
requirements
> documents and search for 'mobil' and find some use cases which were
used
> as motivators for RoLL.  But during the subsequent RoLL work, the
> mobility aspects were not hugely important.
>
> Le 06/01/2010 15:52, Leila Ben Saad a écrit :
>> Dear WG,
>>
>> Is RPL able to support the mobility of DAG roots ?
>
> Well I guess DAG roots could move around a little bit and stay
within
> the link-layer's reachability range (e.g. 10meters).  If this is
> considered 'mobility' then automatically RPL does support it I
believe.
>
> On another hand, if we consider 'mobility' to involve a change of
the
> address assigned to a node then I don't think RPL has much support
for
> it.  I am not sure this is needed either in RPL.
>
>> Because if we move DAG roots frequently, the topology will be
>> modified, new DODAGS must be constructed, more DIO messages will
be
>> sent which can can diminish the energy of nodes and limit their
>> lifetime.
>>
>> Has RPL been already evaluated in network with mobile nodes ?
>
> I don't know.  Do you mean a Mobile Node as in Mobile IPv6?  Or
just
> entities which could be mobile?  I.e. is a DAG Root a Mobile Node?
Or
> are only the nodes within the RoLL network (not the DAG Root)
mobile nodes?

>
> Just some comments,
>
> Alex
>
>>
>> Thanks,
>>
>> Leila Ben Saad PhD Student ENS Lyon France
>>
>>
>>
>>
>> _______________________________________________ Roll mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/roll
>>
>
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Jan 2010 12:07:20 +0100

> network with mobile sinks where the sinks move to different

How far is the new location of the mobile sink?  If it is within the
range of the link layer capabilities (e.g. 10meters for a PAN like
Bluetooth) then I guess RPL-to-be supports it.

If on the other hand the mobile sink moves further than the range of the
link-layer then some big changes must happen in addressing and routing
for RPL-to-be in order to support this kind of mobility.

Just some thoughts,

Alex

> of the network in order to balance the energy consumption of the
> fixed sensor nodes and improve the network lifetime.
>
>
>>> _______________________________________________ Roll mailing
>>> list [email-masked] https://www.ietf.org/mailman/listinfo/roll
>>>
>>
>>